/* =========================
   SHOP PAGE – RC4U
   ========================= */

#page .astra-shop-summary-wrap {
	padding: 0
}

#page .woocommerce-ordering .orderby {
	max-width: none
}

#page .rc4u-cars-shop {
	padding: 0 20px
}

/* === Filters === */
.facetwp-type-slider .noUi-touch-area:hover {
	cursor: pointer
}

.facetwp-type-slider .facetwp-slider-reset {
	padding: .5rem 1rem;
  	width: 100%;
  	font-weight: 400;
  	font-size: 1rem;
	border-radius: 99px;
	transition: var(--rc4u-transition-default);
	background-color: transparent;
	color: var(--ast-global-color-2);
	border: 2px solid var(--ast-global-color-2)
}

.facetwp-type-slider .noUi-connect {
	background: var(--ast-global-color-2)
}

.facetwp-type-slider .noUi-handle {
	background: var(--ast-global-color-2);
  	border-radius: 2px;
  	border: 3px solid #f1f1f1;
  	outline: 1px solid var(--ast-global-color-2)
}

.facetwp-type-slider .noUi-horizontal {
	height: 18px
}

.facetwp-type-slider .noUi-horizontal .noUi-handle {
	width: 22px;
    height: 22px;
	border: 2px solid var(--ast-global-color-5);
  	border-radius: 99px;
    top: -2px;
	background-color: var(--ast-global-color-2)
}

.facetwp-type-slider .noUi-target {
	background: var(--ast-global-color-0);
	border-radius: 99px;
	border: 0
}

#page .rc4u-cars-shop__filters {
	height: 100%;
	padding: 30px;
	border-radius: var(--rc4u-box-radius);
    box-shadow: 0 2px 4px rgba(0, 0, 0, .2)
}

.rc4u-cars-shop__filters .facetwp-checkbox,
.rc4u-cars-shop__filters .facetwp-checkbox.checked {
  background: none;
  padding-left: 0;
  display: flex;
  align-items: center;
  color: var(--ast-global-color-2)
}

.rc4u-cars-shop__filters .facetwp-checkbox::before {
  content: '';
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: .5rem;
  width: 1.25rem;
  height: 1.25rem;
  border: 1px solid var(--ast-global-color-2);
  border-radius: 99px;
  background: #fff;
  box-sizing: border-box;
  padding: 1px
}

.rc4u-cars-shop__filters .facetwp-checkbox.checked::before {
  background-color: var(--ast-global-color-2);
  content: '✓';
  color: #fff;
  font-size: 1rem
}

.rc4u-cars-shop__filters .facetwp-radio,
.rc4u-cars-shop__filters .facetwp-radio.checked {
  background: none;
  display: flex;
  align-items: center;
  padding-left: 0;
  color: var(--ast-global-color-2);
  cursor: pointer
}

.rc4u-cars-shop__filters .facetwp-radio::before {
  content: '';
  display: inline-flex;
  width: 14px;
  height: 14px;
  margin-right: .5rem;
  outline: 1px solid var(--ast-global-color-2);
  outline-offset: 2px;
  border-radius: 50%;
  background-color: transparent;
  box-sizing: border-box
}

.rc4u-cars-shop__filters .facetwp-radio.checked::before {
  background-color: var(--ast-global-color-2)
}

.rc4u-cars-shop__filters h3.wp-block-heading,
.rc4u-cars-shop__filters .facetwp-facet {
	margin-bottom: 0
}

.rc4u-cars-shop__filters .facetwp-dropdown {
	width: 100%
}

.facetwp-facet select {
	color: var(--ast-global-color-2);
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	padding: 8px 12px;
	min-width: 230px;
	font-size: 1rem;
	border: 1px solid var(--ast-global-color-2);
	border-radius: 99px;
	background-color: #fff;
	background-image: url('data:image/svg+xml;utf8,<svg fill="black" height="16" width="16" xmlns="http://www.w3.org/2000/svg"><path d="M4 6l4 4 4-4z"/></svg>');
	background-repeat: no-repeat;
	background-position: right 12px center;
	background-size: 19px;
	transition: var(--rc4u-transition-default)
}

.facetwp-facet select:hover,
.facetwp-facet option:hover {
	cursor: pointer !important
}

select::-ms-expand {
  display: none
}

/* === Product grid header ===  */
.rc4u-product-head-template {
	display: flex;
	justify-content: space-between
}

.rc4u-product-head-wrapper {
	display: flex;
	gap: 8px
}

.filters-btn,
.facetwp-reset {
	width: auto;
    padding: 10px 20px;
    font-size: 1rem;
    font-weight: 500;
    line-height: normal;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    text-transform: none;
	color: var(--ast-global-color-2);
	border-radius: 99px;
	border: 2px solid var(--ast-global-color-2);
	background-color: #fff;
	transition: .3s ease
}

.facetwp-reset {
	width: 100% !important
}

#page .facetwp-facet-sorting {
	width: auto;
	margin: 0;
	transition: .3s ease
}

#page .facetwp-facet-sorting select {
	font-weight: 500;
	line-height: normal;
	padding: 10px 20px;
	border: 2px solid var(--ast-global-color-2)
}

.filters-btn:focus,
.facetwp-reset:focus {
	background-color: initial;
	border-color: initial
}

.filters-btn:hover,
.facetwp-reset:hover,
#page .facetwp-facet-sorting select:hover {
	color: var(--ast-global-color-5);
	border-color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-2);
}


/* === Product grid === */
.rc4u-product-template {
  display: grid;
  grid-template-rows: 1fr auto
}

.rc4u-product-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
    list-style: none;
    padding: 0;
    margin: 0
}

.rc4u-product-item {
	border-radius: var(--rc4u-box-radius);
	box-shadow: 0 2px 4px rgba(0, 0, 0, .2)
}

.rc4u-product-item a {
	display: flex;
	flex-direction: column;
	height: 100%;
    text-decoration: none;
    color: inherit
}

.rc4u-product-item .rc4u-product-item-image {
	display: block;
    width: 100%;
	height: 259.55px;
	min-height: 259.55px;
	-o-object-fit: cover;
	   object-fit: cover;
	border-top-left-radius: var(--rc4u-box-radius);
  	border-top-right-radius: var(--rc4u-box-radius);
	transition: -webkit-filter .3s ease;
	transition: filter .3s ease;
	transition: filter .3s ease, -webkit-filter .3s ease
}

.rc4u-product-data {
	display: flex;
	flex-direction: column;
	height: 100%;
	padding: 1.5rem;
	transition: var(--rc4u-transition-default);
  	border-bottom-left-radius: var(--rc4u-box-radius);
  	border-bottom-right-radius: var(--rc4u-box-radius)
}

.rc4u-product-item h2 {
    font-size: 1.5rem;
    margin: 0 !important
}

.rc4u-price {
  display: inline-flex;
  align-items: baseline;
  gap: 4px
}

.rc4u-cta {
  	display: flex;
	padding: 10px 20px;
  	margin-top: auto;
	align-items: center;
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
  	font-weight: 400;
	line-height: 1;
  	color: #030014;
  	background-color: var(--ast-global-color-0);
  	border-radius: 99px;
	transition: var(--rc4u-transition-default)
}

.rc4u-cta-icon {
  display: inline-flex;
  margin-left: .5rem;
  width: 23px;
  height: auto;
  fill: inherit;
  vertical-align: -5px;
  margin-right: .5rem;
  transition: var(--rc4u-transition-default)
}

.rc4u-product-item a:hover img {
	-webkit-filter: brightness(1.2);
	        filter: brightness(1.2)
}

.rc4u-product-item:hover .rc4u-cta {
	background-color: var(--ast-global-color-2);
	color: var(--ast-global-color-5)
}

.rc4u-product-item:hover .rc4u-cta-icon {
	fill: #fff
}

.rc4u-product-pagination {
	display: flex;
  	justify-content: flex-end;
	margin: 1.5rem 0
}

.rc4u-product-pagination a {
  	display: inline-flex;
  	justify-content: center;
  	align-items: center;
  	width: 43px;
  	height: 43px;
  	margin-right: 10px;
  	padding: 0;
  	font: 400 1rem/1 inherit;
  	border: 1px solid var(--ast-global-color-0);
	border-radius: 12px;
  	background: var(--ast-global-color-0);
  	transition: var(--rc4u-transition-default);
	box-shadow: 0 2px 4px rgba(0, 0, 0, .2)
}

.rc4u-product-pagination a.active {
	border: 1px solid var(--ast-global-color-2);
	background-color: var(--ast-global-color-2);
	color: #fff
}

.rc4u-product-pagination a.active:hover {
	cursor: not-allowed
}

.rc4u-product-pagination a:last-child {
	margin-right: 0
}

.rc4u-product-pagination a:hover {
	border: 1px solid var(--ast-global-color-2);
	background-color: var(--ast-global-color-2);
	color: #fff;
	cursor: pointer
}

.rc4u-attribute-item-list {
  list-style: none;
  margin: .5rem 0 1rem 0;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr)
}

.rc4u-attribute-item {
  display: flex;
  align-items: center;
  gap: .5rem
}

.rc4u-attribute-icon {
	height: 20px;
	width: auto
}


/* ==== RWD ==== */
@media(min-width:1440px) {
    .rc4u-cars-shop__filters {
        position: -webkit-sticky;
        position: sticky;
        top: 2rem;
        align-self: start
    }
}

@media(max-width:1440px) {
    .rc4u-product-grid {
        grid-template-columns: repeat(2, 1fr)
    }
}

@media(max-width:1199px) {
	#page .rc4u-cars-shop .uagb-container-inner-blocks-wrap {
		position: relative
	}
	
	#page .rc4u-cars-shop__filters {
		width: 100% !important;
		height: auto;
		position: absolute;
		top: -12px;
		left: 0;
		z-index: 1;
		background: #fff
	}
	
	#page .rc4u-cars-shop__products {
		width: 100% !important;
		padding: 0
	}
	
	#page .rc4u-product-head-template {
		flex-direction: column;
		margin-bottom: 40px;
		margin-top: -200px
	}
	
	#page .rc4u-cars-shop {
		margin-top: 240px !important
	}
}

@media(max-width:921px) {
	#page .rc4u-cars-shop__filters {
		top: -24px
	}
}

@media(max-width:740px) {
    .rc4u-product-grid {
        grid-template-columns: repeat(1, 1fr)
    }
}

@media(max-width:544px) {
	#page .rc4u-cars-shop__filters {
		top: -60px
	}
}

@media(max-width:400px) {
	.cars-controls {
		flex-direction: column
	}
	
	#page .rc4u-cars-shop__filters {
		top: 0
	}
	
	.facetwp-facet-sorting select {
		width: 100%
	}
}
